Kan ik een andere PHP-versie gebruiken?

Naast HTML bieden we uiteraard ook ondersteuning voor PHP-scripts. Het is dus mogelijk je website in PHP te maken en te publiceren op je hostingpakket. Op al onze servers maken we standaard gebruik van PHP-versie 5.3.3. Hiervoor hoef je zelf niets in te stellen. De meeste websites die met PHP werken (en ook veelgebruikte applicaties zoals Wordpress en Joomla) zullen correct met deze versie functioneren.

Toch kan het voorkomen dat jouw website of script een hogere of juist lagere PHP-versie nodig heeft. We bieden daarom de mogelijkheid om naast PHP 5.3.3 ook de versies PHP 5.2.4 en PHP 5.5.5 te activeren en te gebruiken. Wanneer je een andere PHP-versie wilt gebruiken, moet je handmatig een instelling maken op het hostingpakket. De stappen hebben we hieronder beschreven:

Wanneer je versie 5.2.4 wilt gebruiken om .php-bestanden uit te voeren, kun je dat met een .htaccess bestand zelf aangeven, door hier de volgende regel in op te nemen:

AddHandler x-httpd-php5 .php

 

Wanneer je versie 5.3.3 wilt gebruiken om .php-bestanden uit te voeren, kun je dat met een .htaccess bestand zelf aangeven, door hier de volgende regel in op te nemen:

AddHandler x-httpd-php53 .php


Wanneer je php-versie 5.5.5 wilt gebruiken om .php-bestanden uit te voeren, kun je dat met een .htaccess bestand zelf aangeven, door hier de volgende regel in op te nemen:

AddHandler x-httpd-php55 .php


Onderstaand stappenplan kun je gebruiken om een nieuw bestand met de naam .htaccess aan te maken:

  1. Log in het Control Panel van je hostingpakket in en klik op de domeinnaam.
  2. Kies onder het kopje ‘Hosting’ voor de button ‘Bestandsbeheer’.
  3. Klik op de mapnaam httpdocs en kies daarna bovenaan voor ‘Nieuw bestand’.
  4. Onder het kopje ‘Nieuw bestand’ vul je in de invulbalk bij ‘Bestandsnaam’ in: .htaccess (let op de punt aan het begin van de bestandsnaam!).
  5. Klik rechtsonder op de button ‘OK’.
  6. In het tekstvak vul je een van de onderstaande regels in (afhankelijk van de gewenste PHP-versie):
    Voor PHP 5.2.4: AddHandler x-httpd-php5 .php
    Voor PHP 5.3.3: AddHandler x-httpd-php53 .php 
    Voor PHP 5.5.5: AddHandler x-httpd-php55 .php
  7. Klik rechtsonder op de button ‘OK’ om het bestand met de opgenomen regel op te slaan.

Alle PHP-bestanden die je vanaf dit moment plaatst in de map /httpdocs van het hostingpakket worden uitgevoerd door de ingestelde PHP-versie. Je kunt zo ook meerdere PHP-versies door elkaar gebruiken. Plaats een bestand met de naam .htaccess in een map om in de betreffende map een andere PHP-versie te kunnen gebruiken.

LET OPControleer voordat je de bovenstaande stappen doorloopt eerst of er al een bestand met de naam .htaccess aanwezig is. Wanneer dat het geval is, open je dit bestand en voeg je de AddHandler-regel voor de gewenste PHP-versie aan de reeds aanwezige regels in het bestand toe. Momenteel is de standaard-versie voor PHP de versie 5.3.3. Als je die versie wilt gebruiken, kun je ook de regel met AddHandler geheel verwijderen.

Vragen in deze categorie